#pragma once
#include <ctype.h>

/**
 * @brief Check to see if k is in ascii area.
 */
#define lstd_checkascii(k) ((k & 0xff) == k)

/**
 * @brief Check see if a key is alpha.
 */
#define lstd_isalpha(k) (lstd_checkascii(k) ? isalpha(k) : 0)

/**
 * @brief Check see if a key is alphanumeric.
 */
#define lstd_isalnum(k) (lstd_checkascii(k) ? isalnum(k) : 0)

/**
 * @brief Check see if a key is a control character.
 */
#define lstd_iscntrl(k) (lstd_checkascii(k) ? iscntrl(k) : 0)

